Bug 1284599 - [abrt] dnf: system_upgrade.py:344:__init__:TypeError: must be type, not None
[abrt] dnf: system_upgrade.py:344:__init__:TypeError: must be type, not None
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: dnf-plugin-system-upgrade (Show other bugs)
21
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Will Woods
Fedora Extras Quality Assurance
https://retrace.fedoraproject.org/faf...
abrt_hash:950ba9521d148b788ac52918b60...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-11-23 11:06 EST by Vitaly
Modified: 2015-12-02 13:21 EST (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-12-02 10:53:29 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (1.14 KB, text/plain)
2015-11-23 11:06 EST, Vitaly
no flags Details
File: environ (2.25 KB, text/plain)
2015-11-23 11:06 EST, Vitaly
no flags Details

  None (edit)
Description Vitaly 2015-11-23 11:06:14 EST
Description of problem:
I do: " fedup --network 22" from root

Version-Release number of selected component:
dnf-0.6.4-7.fc21

Additional info:
reporter:       libreport-2.3.0
cmdline:        /usr/bin/python -OO /usr/bin/dnf system-upgrade download --releasever 22
dso_list:       python2-dnf-plugin-system-upgrade-0.5.0-1.fc21.noarch
executable:     /usr/bin/dnf
kernel:         4.1.13-100.fc21.x86_64
runlevel:       N 5
type:           Python
uid:            0

Truncated backtrace:
system_upgrade.py:344:__init__:TypeError: must be type, not None

Traceback (most recent call last):
  File "/usr/bin/dnf", line 36, in <module>
    main.user_main(sys.argv[1:], exit_code=True)
  File "/usr/lib/python2.7/site-packages/dnf/cli/main.py", line 185, in user_main
    errcode = main(args)
  File "/usr/lib/python2.7/site-packages/dnf/cli/main.py", line 84, in main
    return _main(base, args)
  File "/usr/lib/python2.7/site-packages/dnf/cli/main.py", line 115, in _main
    cli.configure(map(ucd, args))
  File "/usr/lib/python2.7/site-packages/dnf/cli/cli.py", line 976, in configure
    self.base.plugins.run_init(self.base, self)
  File "/usr/lib/python2.7/site-packages/dnf/plugin.py", line 104, in run_init
    plugin = p_cls(base, cli)
  File "/usr/lib/python2.7/site-packages/dnf-plugins/system_upgrade.py", line 344, in __init__
    super(SystemUpgradePlugin, self).__init__(base, cli)
TypeError: must be type, not None

Local variables in innermost frame:
self: <dnf.plugin.dynamic.system_upgrade.SystemUpgradePlugin object at 0x7f44e7b1a990>
base: <dnf.cli.cli.BaseCli object at 0x7f44e945ca90>
cli: <dnf.cli.cli.Cli object at 0x7f44e946c190>
Comment 1 Vitaly 2015-11-23 11:06:20 EST
Created attachment 1097753 [details]
File: backtrace
Comment 2 Vitaly 2015-11-23 11:06:21 EST
Created attachment 1097754 [details]
File: environ
Comment 3 Fedora End Of Life 2015-12-02 10:53:39 EST
Fedora 21 changed to end-of-life (EOL) status on 2015-12-01. Fedora 21 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.